<?php
// $Id: panels_plugin_example.pages_default.inc,v 1.1 2009/08/17 22:07:14 merlinofchaos Exp $

/**
 * @file
 * This module provides a default panel to demonstrate the behavior of the plugins.
 */

/**
 * Default panels page for Panels Plugin Example
 *
 * To pick up this file, your module needs to implement
 * hook_ctools_plugin_api() - See panels_plugin_example_ctools_plugin_api() in
 * panels_plugin_example.module.
 *
 *
 * Note the naming of the file: <modulename>.pages_default.inc
 * With this naming, no additional code needs to be provided. CTools will just find the file.
 * The name of the hook is <modulename>_default_page_manager_pages()
 *
 *
 * @return
 *   Array of pages, typically exported from Panels.
 */

function panels_plugin_example_default_page_manager_pages() {

  // begin exported panel.

  $page = new stdClass;
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'panels_plugin_example_demonstration_panel';
  $page->task = 'page';
  $page->admin_title = 'Panels Plugin Example Demonstration Panel';
  $page->admin_description = 'This is a panel that shows the provided layout and style plugins work. It has no useful functionality.';
  $page->path = 'panels_plugin_example';
  $page->access = array();
  $page->menu = array(
  'type' => 'normal',
  'title' => 'Panels Plugin Example',
  'name' => 'navigation',
  'weight' => '0',
  'parent' => array(
    'type' => 'none',
    'title' => '',
    'name' => 'navigation',
    'weight' => '0',
  ),
  );
  $page->arguments = array();
  $page->conf = array();
  $page->default_handlers = array();
  $handler = new stdClass;
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_panels_plugin_example_demonstration_panel_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'panels_plugin_example_demonstration_panel';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
  'title' => 'Panel',
  'no_blocks' => FALSE,
  'css_id' => '',
  'css' => '',
  'contexts' => array(),
  'relationships' => array(),
  );
  $display = new panels_display;
  $display->layout = 'twocol_example';
  $display->layout_settings = array();
  $display->panel_settings = array(
  'style' => 'colors_example',
  'style_settings' => array(
    'default' => array(
      'color' => 'green',
  ),
    'right' => array(
      'color' => 'blue',
  ),
  ),
  'right' => array(
    'style' => 'colors_example',
  ),
  );
  $display->cache = array();
  $display->title = 'Panels Plugin Example Demonstration Page';
  $display->hide_title = FALSE;
  $display->title_pane = 57;
  $display->content = array();
  $display->panels = array();
  $pane = new stdClass;
  $pane->pid = 'new-1';
  $pane->panel = 'left';
  $pane->type = 'custom';
  $pane->subtype = 'custom';
  $pane->shown = TRUE;
  $pane->access = array();
  $pane->configuration = array(
    'admin_title' => 'Introduction',
    'title' => 'Introduction',
    'body' => 'This panel just demonstrates two things:
    <ul>
    <li>The Example: twocol layout plugin, which is a terribly simple two-column layout (and is just a copy, with more comments, of the panels twocol layout.)
    <li>The Example: colors style plugin, which demonstrates style plugins by coloring the text of a panel, region, or pane.
    </ul>

    The code that implements these plugins is generously commented and is intended to give developers a headstart on implementing panels style and theme plugins.

    You can study and experiment with the code in the sites/all/modules/panels/panels_plugin_example directory, and you can use the Advanced Help at <a href="admin/advanced_help/panels_plugin_example">admin/advanced_help/panels_plugin_example</a>.',
    'format' => '1',
    'substitute' => TRUE,
  );
  $pane->cache = array();
  $pane->style = array();
  $pane->css = array();
  $pane->extras = array();
  $pane->position = 0;
  $display->content['new-1'] = $pane;
  $display->panels['left'][0] = 'new-1';
  $pane = new stdClass;
  $pane->pid = 'new-2';
  $pane->panel = 'left';
  $pane->type = 'custom';
  $pane->subtype = 'custom';
  $pane->shown = TRUE;
  $pane->access = array();
  $pane->configuration = array(
    'admin_title' => 'Red pane',
    'title' => 'Red Pane',
    'body' => 'This is a custom content pane. The text will be colored red by configuration of the Example: colors style plugin.',
    'format' => '1',
    'substitute' => TRUE,
  );
  $pane->cache = array();
  $pane->style = array(
    'style' => 'colors_example',
    'settings' => array(
      'color' => 'red',
  ),
  );
  $pane->css = array();
  $pane->extras = array();
  $pane->position = 1;
  $display->content['new-2'] = $pane;
  $display->panels['left'][1] = 'new-2';
  $pane = new stdClass;
  $pane->pid = 'new-3';
  $pane->panel = 'left';
  $pane->type = 'custom';
  $pane->subtype = 'custom';
  $pane->shown = TRUE;
  $pane->access = array();
  $pane->configuration = array(
    'admin_title' => 'Uncolored pane',
    'title' => 'Uncolored pane',
    'body' => 'This pane is uncolored, so it will inherit the color applied to the region or panel. In this case, the entire panel has been set to green in the display settings, so the color of this pane is green.',
    'format' => '1',
    'substitute' => TRUE,
  );
  $pane->cache = array();
  $pane->style = array();
  $pane->css = array();
  $pane->extras = array();
  $pane->position = 2;
  $display->content['new-3'] = $pane;
  $display->panels['left'][2] = 'new-3';
  $pane = new stdClass;
  $pane->pid = 'new-4';
  $pane->panel = 'right';
  $pane->type = 'custom';
  $pane->subtype = 'custom';
  $pane->shown = TRUE;
  $pane->access = array();
  $pane->configuration = array(
    'admin_title' => 'Uncolored but on colored region',
    'title' => 'Uncolored but on colored region',
    'body' => 'This pane is uncolored, but it\'s on a region (the right panel) which is colored blue.',
    'format' => '1',
    'substitute' => TRUE,
  );
  $pane->cache = array();
  $pane->style = array();
  $pane->css = array();
  $pane->extras = array();
  $pane->position = 0;
  $display->content['new-4'] = $pane;
  $display->panels['right'][0] = 'new-4';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;

  // end exported panel.

  $pages['example_page'] = $page;

  return $pages;
}